# Generated by Django 5.0.4 on 2024-10-20 02:46

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('courses', '0001_initial'),
        ('lectures', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='AnswerTaskLinked',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('course', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='courses.course', verbose_name='Курсы')),
            ],
            options={
                'verbose_name': 'Варианты ответов',
                'verbose_name_plural': 'Варианты ответов',
            },
        ),
        migrations.CreateModel(
            name='AnswerText',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text', models.TextField(verbose_name='Текст ответа')),
                ('is_correct', models.BooleanField(default=False, verbose_name='Правильный ответ')),
                ('linked', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='tasks.answertasklinked', verbose_name='Текст вопроса')),
            ],
            options={
                'verbose_name': 'Вариант ответа',
                'verbose_name_plural': 'Варианты ответа',
            },
        ),
        migrations.CreateModel(
            name='PracticeTask',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name_practice', models.CharField(max_length=255, verbose_name='Имя практики')),
                ('course', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='courses.course', verbose_name='Курс')),
                ('lecture', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='lectures.lecturepage', verbose_name='К какой лекции прикреплено')),
            ],
            options={
                'verbose_name': 'Практическое задание',
                'verbose_name_plural': 'Практические задания',
            },
        ),
        migrations.AddField(
            model_name='answertasklinked',
            name='task',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='tasks.practicetask', verbose_name='Задание'),
        ),
        migrations.CreateModel(
            name='QuestionFile',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text', models.TextField(verbose_name='Текст вопроса')),
                ('task', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='tasks.practicetask', verbose_name='Практическое задание')),
            ],
            options={
                'verbose_name': 'Файловый вопрос (ответ на них файл ученика)',
                'verbose_name_plural': 'Файловые вопросы (ответ на них файл ученика)',
            },
        ),
        migrations.CreateModel(
            name='QuestionTestTask',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text', models.TextField(verbose_name='Текст вопроса')),
                ('task', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='tasks.practicetask', verbose_name='Задача')),
            ],
            options={
                'verbose_name': 'Тестовый вопрос',
                'verbose_name_plural': 'Тестовые вопросы',
            },
        ),
        migrations.AddField(
            model_name='answertasklinked',
            name='question',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='tasks.questiontesttask', verbose_name='Вопрос'),
        ),
        migrations.CreateModel(
            name='QuestionTextTask',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text', models.TextField(verbose_name='Текст вопроса')),
                ('task', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='tasks.practicetask', verbose_name='Задача')),
            ],
            options={
                'verbose_name': 'Текстовый вопрос',
                'verbose_name_plural': 'Текстовый вопрос',
            },
        ),
    ]
